Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Overweight Permit# 2021-02398, UID# 3059
App. Status: Expired

Valid: 06/23/2021 - 06/26/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2765 (06/22/2021)

Charge Cost Quantity Total
Non-Taxable
added 06/22/2021 7:11 PM

Fee for over length permit

$30.00 x 1 $30.00
added 06/22/2021 6:17 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/22/2021 7:11 PM

Fee for over width permit

$30.00 x 1 $30.00
added 06/22/2021 6:17 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/22/2021 7:11 PM

For movement on Plant Road

$540.00 x 1 $540.00
Grand Total
Total $660.00
Payment 06/22/2021$660.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantEric Hickson - 06/22/2021 6:17 PM
cccb6ac345647a51d1e6a2085aaad29f
812d68a07d45f66c2882059e505bcd0b
 
#1 Permit Issuing OfficialKen Miller - 06/22/2021 7:11 PM
71fb6b8cd958b5c848f36e7cc22244a8
3c83e18fdae365e0b095fb0a75df68cd
 
Permit has been approved. All signatures have been obtained.